/* acconfig.h

   Descriptive text for the C preprocessor macros that
   the distributed Autoconf macros can define.
   No software package will use all of them; autoheader copies the ones
   your configure.in uses into your configuration header file templates.

   The entries are in sort -df order: alphabetical, case insensitive,
   ignoring punctuation (such as underscores).  Although this order
   can split up related entries, it makes it easier to check whether
   a given entry is in the file.

   Leave the following blank line there!!  Autoheader needs it.  */


/* Define if you use ANSI C compiler.  */
#undef ANSI_FUNC
#undef __STDC__

/* Define if your C compiled don't have __DATE__ macro.  */
#undef __DATE__

/* Define if you want to debug launcher.  */
#undef DEBUG

/* Define if you have the X11 library (-lX11).  */
#undef HAVE_LIBX11

/* Define if you have the Xext library (-lXext).  */
#undef HAVE_LIBXEXT

/* Define if you have the Xpm library (-lXpm).  */
/* #undef HAVE_LIBXPM */

/* Define if you want to use mouse in program.  */
#undef USE_MOUSE

/* Define if your C compiler don't have __FUNCTION__ macro.  */
#undef __FUNCTION__

/* Define only for OSF Unix.  */
#undef _REENTRANT

/* Define if you use the JPEG library (-ljpeg).  */
#undef USE_JPEGLIB

/* Define if you use the SVGA library (-lvga).  */
#undef USE_SVGALIB

/* Define if you use the X Window System. */
#undef USE_X11

/* Define if type bool_t is not defined */
#undef bool_t

/* Define if type unchar is not defined */
#undef unchar

/* Define if type ushort is not defined */
#undef ushort

/* Define if type ulong is not defined */
#undef ulong

/* Guessed OS type.  */
#undef OSTYPE

/* Define for Solaris UNIX system.  */
#undef SOLARIS

/* Define for SUNOS UNIX system.  */
#undef SUNOS


/* Leave that blank line there!!  Autoheader needs it.
   If you're adding to this file, keep in mind:
   The entries are in sort -df order: alphabetical, case insensitive,
   ignoring punctuation (such as underscores).  */
