#ifndef _OBJECTS_H_
#define _OBJECTS_H_


enum FALL_status { FALL_DOWN = 1, FALL_LEFT, FALL_RIGHT };

enum OBJECT_flags
{
   OBJECT_FALL_FLAG    = 0x01,	/* Da li objekt moze pasti?                  */
   OBJECT_DROP_FLAG    = 0x02,	/* Da li sa objekta moze pasti drugi objekt? */
   OBJECT_DESTROY_FLAG = 0x04	/* Da li se objekt moze unistiti?            */
};

/***
 *  Bit    description
 * -----------------------
 *   7     scanned flag
 *  3,2    fall direction
 *  1,0    move direction
 */
enum ATTRibutes
{
   MOVE_DIRECTION = 0x03,
   FALL_DIRECTION = 0x0c,
   SCANNED_FLAG   = 0x80
};

struct OBJECT_DATA
{
   unchar  object_id;  		/* Broj objekta.                                             */
   unchar  object_id_next;	/* Broj objekta koji nastaje nakon zadnje animirane sekvence */
   unchar  flags;		/* OBJECT_flags                                              */
   unchar *image[64];		/* Slika objekta (sprite) -- animacija.                      */
};


extern struct OBJECT_DATA *objects_data, default_objects_data[];


#if defined (__STDC__) || defined (__cplusplus) || defined (NeedFunctionPrototypes)
#define __PARMS(s) s
#else
#define __PARMS(s) ()
#endif

unchar             *get_object_image    __PARMS((unchar object, short position));
struct OBJECT_DATA *get_object          __PARMS((unchar object));
void                block_explode       __PARMS((unchar object, short position));
void                objects_explode     __PARMS((void));
void                objects_fall        __PARMS((void));
void                objects_move        __PARMS((void));
void                objects_animate     __PARMS((void));
void                object_space_change __PARMS((void));

#undef __PARMS
#endif /* _OBJECTS_H_ */
